<template>
  <div>

    <br/>

    <div class="col-md-8">

      <div v-if="queens.toString().length > 3">
        <h3>Królowe: </h3>

        <br />

        <button class="btn btn-primary mr-1" v-on:click="addQueen()">Dodaj królową</button>
        <br />

        <hr>

        <div class="row" v-for="queen in queens" v-bind:key="queen.id">

          <div class="col-sm-3">
            <h6 class="mb-0">Nr. : </h6>
          </div>
          <div class="col-sm-9 text-secondary">
            {{ queen.queenNo }}
          </div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Kolor: </h6>
          </div>
          <div class="col-sm-9 text-secondary">
            {{ queen.colour }}
          </div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Płodna?</h6>
          </div>
          <div v-if="queen.fertile" class="col-sm-9 text-secondary">Tak</div>
          <div v-if="!queen.fertile" class="col-sm-9 text-secondary">Nie</div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Rodzaj: </h6>
          </div>
          <div class="col-sm-9 text-secondary">
            {{ queen.variety }}
          </div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Wstawiona: </h6>
          </div>
          <div class="col-sm-9 text-secondary">
            {{ queen.dateOfApplication }}
          </div>
          <hr>

          <button class="btn btn-secondary mr-1" v-on:click="editQueen(queen.id)">Edytuj królową
          </button>
          <button class="btn btn-danger mr-1" v-on:click="deleteQueen(queen.id)">Usuń królową
          </button>

        </div>
      </div>
    </div>


  </div>
</template>

<script>
import QueenService from "@/services/queen.service";

export default {
  name: "Inspections",
  data() {
    return {
      queens: ''
    }
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },

  mounted() {

    if (this.$route.query.beehiveId) {
      QueenService.getQueensByBeehiveId(this.$route.query.beehiveId).then(
          response => {
            this.queens = response.data;
          },
          error => {
            this.queens =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );

    }

  },
  methods: {

    editQueen(queenId) {
      this.$router.push('/editqueen?queenId=' + queenId + '&beehiveId=' + this.$route.query.beehiveId);
    },

    addQueen() {
      this.$router.push('/addqueen?beehiveId=' + this.$route.query.beehiveId);
    },

    deleteQueen(queenId) {

      if (confirm("Jesteś pewny?")) {
        QueenService.deleteSpecificQueen(queenId).then(
            response => {
              this.queens = response.data;
              alert('Usunięcie królowej przebiegło pomyślnie')
              // eslint-disable-next-line no-unused-vars
              this.$router.push('/beehive?beehiveid=' + this.$route.query.beehiveId).catch(err => {
              });
            },
            error => {
              this.queens =
                  (error.response && error.response.data && error.response.data.message) ||
                  error.message ||
                  error.toString();
            }
        );
      }
    },


  }

}
</script>

<style scoped>

</style>